| helics 3.6.1

Public Member Functions | Protected Attributes | List of all members
helicscpp::Filter Class Reference

`#include <Filter.hpp>`

Inheritance diagram for helicscpp::Filter:

## Public Member Functions
| Filter (HelicsFilter hfilt) HELICS_NOTHROW
| Filter () HELICS_NOTHROW
| Filter (const Filter &filter)
Filter & | operator= (const Filter &filter)
| operator HelicsFilter () const
HelicsFilter | baseObject () const
bool | isValid () const
const char * | getName () const
void | set (const std::string &property, double val)
void | setString (const std::string &property, const std::string &val)
double | getProperty (const std::string &property)
const char * | getString (const std::string &property)
void | addDestinationTarget (const std::string &dest)
void | addSourceTarget (const std::string &source)
void | removeTarget (const std::string &dest)
const char * | getInfo () const
void | setInfo (const std::string &info)
const char * | getTag (const std::string &tagname) const
void | setTag (const std::string &tagname, const std::string &tagvalue)
void | setOption (int32_t option, int32_t value=1)
int32_t | getOption (int32_t option)
void | setCallback (HelicsMessage(*filtCall)(HelicsMessage message, void *userData), void *userData)

## Protected Attributes
HelicsFilter | filt
| the reference to the underlying publication

## Detailed Description

object managing a filter in the C++98 interface

## Constructor & Destructor Documentation

## ◆ Filter() [1/3]

helicscpp::Filter::Filter | ( | HelicsFilter | hfilt | ) |
| inline explicit

construct from C level HelicsFilter object

## ◆ Filter() [2/3]

helicscpp::Filter::Filter | ( |  | ) |
| inline

default constructor

## ◆ Filter() [3/3]

helicscpp::Filter::Filter | ( | const Filter & | filter | ) |
| inline

copy constructor

## Member Function Documentation

## ◆ addDestinationTarget()

void helicscpp::Filter::addDestinationTarget | ( | const std::string & | dest | ) |
| inline

add a destination target to a cloning filter

all messages going to a destination are copied to the delivery address(es)

References filt, and helicsFilterAddDestinationTarget().

## ◆ addSourceTarget()

void helicscpp::Filter::addSourceTarget | ( | const std::string & | source | ) |
| inline

add a source target to a cloning filter

all messages coming from a source are copied to the delivery address(es)

References filt, and helicsFilterAddSourceTarget().

## ◆ baseObject()

HelicsFilter helicscpp::Filter::baseObject | ( |  | ) | const
| inline

get the underlying HelicsFilter object

References filt.

## ◆ getInfo()

const char* helicscpp::Filter::getInfo | ( |  | ) | const
| inline

get the interface information field of the filter

References filt, and helicsFilterGetInfo().

## ◆ getName()

const char* helicscpp::Filter::getName | ( |  | ) | const
| inline

get the name for the filter

References filt, and helicsFilterGetName().

## ◆ getProperty()

double helicscpp::Filter::getProperty | ( | const std::string & | property | ) |
| inline

get the value of a filter property

Parameters

  property | the name of the property of the filter to get

References filt, and helicsFilterGetPropertyDouble().

## ◆ getString()

const char* helicscpp::Filter::getString | ( | const std::string & | property | ) |
| inline

get a string property on a filter

Parameters

  property | the name of the property of the filter to get

References filt, and helicsFilterGetPropertyString().

## ◆ getTag()

const char* helicscpp::Filter::getTag | ( | const std::string & | tagname | ) | const
| inline

get the value of a tag for the filter

References filt, and helicsFilterGetTag().

## ◆ isValid()

bool helicscpp::Filter::isValid | ( |  | ) | const
| inline

check if the filter is valid

References filt, HELICS_TRUE, and helicsFilterIsValid().

## ◆ operator HelicsFilter()

helicscpp::Filter::operator HelicsFilter | ( |  | ) | const
| inline

cast operator to get the underlying object

References filt.

## ◆ operator=()

Filter& helicscpp::Filter::operator= | ( | const Filter & | filter | ) |
| inline

copy assignment

References filt.

Referenced by helicscpp::CloningFilter::operator=().

## ◆ removeTarget()

void helicscpp::Filter::removeTarget | ( | const std::string & | dest | ) |
| inline

remove a destination target from a cloning filter

References filt, and helicsFilterRemoveTarget().

## ◆ set()

void helicscpp::Filter::set | ( | const std::string & | property,
|  | double | val
| ) |  |
| inline

set a property on a filter

Parameters

  property | the name of the property of the filter to change
  val | the numerical value of the property

References filt, and helicsFilterSet().

## ◆ setInfo()

void helicscpp::Filter::setInfo | ( | const std::string & | info | ) |
| inline

set the interface information field of the filter

References filt, and helicsFilterSetInfo().

## ◆ setString()

void helicscpp::Filter::setString | ( | const std::string & | property,
|  | const std::string & | val
| ) |  |
| inline

set a string property on a filter

Parameters

  property | the name of the property of the filter to change
  val | the numerical value of the property

References filt, and helicsFilterSetString().

## ◆ setTag()

void helicscpp::Filter::setTag | ( | const std::string & | tagname,
|  | const std::string & | tagvalue
| ) |  |
| inline

set the value of a tag for the filter

References filt, and helicsFilterSetTag().

The documentation for this class was generated from the following file:

- Filter.hpp